Bug 538767 - postfix: null pointer exception after clicking from access to postfix server
postfix: null pointer exception after clicking from access to postfix server
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Configuration (Show other bugs)
1.4
All Linux
low Severity low (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
: SubBug
Depends On:
Blocks: rhq_triage
  Show dependency treegraph
 
Reported: 2009-11-19 06:38 EST by Sudhir D
Modified: 2014-05-16 09:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-16 09:59:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sudhir D 2009-11-19 06:38:39 EST
Description of problem:
The iManage UI throws null pointer exception when click from access service to postfix service. 

Version-Release number of selected component (if applicable):
1.4 build #54

How reproducible:
100%

Steps to Reproduce:
1. Login to iManage UI.
2. Click on the server to be managed from dashboard
3. Click on Postfix Service. 
4. Click on Access service just below postfix service.
5. Now click back on Postfix service.
  
Actual results:
Java null pointer exception is thrown.

Expected results:
Should take back to Postfix Service page.

Additional info:
java.lang.NullPointerException
	at org.rhq.core.gui.configuration.ConfigRenderer.addNewMap(ConfigRenderer.java:473)
	at org.rhq.core.gui.configuration.ConfigRenderer.addChildComponents(ConfigRenderer.java:250)
	at org.rhq.core.gui.configuration.ConfigRenderer.encodeBegin(ConfigRenderer.java:162)
	at javax.faces.component.UIComponentBase.encodeBegin(UIComponentBase.java:813)
	at javax.faces.component.UIComponent.encodeAll(UIComponent.java:928)
	at javax.faces.render.Renderer.encodeChildren(Renderer.java:148)
	at javax.faces.component.UIComponentBase.encodeChildren(UIComponentBase.java:837)
	at javax.faces.component.UIComponent.encodeAll(UIComponent.java:930)
Comment 1 wes hayutin 2010-02-16 11:51:40 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 2 wes hayutin 2010-02-16 11:57:56 EST
making sure we're not missing any bugs in rhq_triage
Comment 3 Corey Welton 2010-10-05 09:08:12 EDT
Lowering severity/priority - not an enterprise plugin

Note You need to log in before you can comment on or make changes to this bug.